Passer au contenu principal
GET
/
marketing
/
v3
/
forms
cURL
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/forms \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "formType": "hubspot",
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archived": true,
      "fieldGroups": [
        {
          "fields": [
            {
              "dependentFields": [
                {
                  "dependentCondition": {
                    "operator": "between",
                    "rangeEnd": "<string>",
                    "rangeStart": "<string>",
                    "value": "<string>",
                    "values": [
                      "<string>"
                    ]
                  },
                  "dependentField": "<unknown>"
                }
              ],
              "fieldType": "email",
              "hidden": true,
              "label": "<string>",
              "name": "<string>",
              "objectTypeId": "<string>",
              "required": true,
              "validation": {
                "blockedEmailDomains": [
                  "<string>"
                ],
                "useDefaultBlockList": true
              },
              "defaultValue": "<string>",
              "description": "<string>",
              "placeholder": "<string>"
            }
          ],
          "groupType": "default_group",
          "richTextType": "image",
          "richText": "<string>"
        }
      ],
      "configuration": {
        "allowLinkToResetKnownValues": true,
        "archivable": true,
        "cloneable": true,
        "createNewContactForNewEmail": true,
        "editable": true,
        "language": "af",
        "lifecycleStages": [
          {
            "objectTypeId": "<string>",
            "value": "<string>"
          }
        ],
        "notifyContactOwner": true,
        "notifyRecipients": [
          "<string>"
        ],
        "postSubmitAction": {
          "type": "redirect_url",
          "value": "<string>"
        },
        "prePopulateKnownValues": true,
        "recaptchaEnabled": true,
        "embedType": "V3"
      },
      "displayOptions": {
        "renderRawHtml": true,
        "style": {
          "backgroundWidth": "<string>",
          "fontFamily": "<string>",
          "helpTextColor": "<string>",
          "helpTextSize": "<string>",
          "labelTextColor": "<string>",
          "labelTextSize": "<string>",
          "legalConsentTextColor": "<string>",
          "legalConsentTextSize": "<string>",
          "submitAlignment": "center",
          "submitColor": "<string>",
          "submitFontColor": "<string>",
          "submitSize": "<string>"
        },
        "submitButtonText": "<string>",
        "theme": "canvas",
        "cssClass": "<string>"
      },
      "legalConsentOptions": {
        "type": "none"
      },
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

after
string

Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON « paging.next.after » d'une réponse paginée contenant plus de résultats.

archived
boolean

S'il faut renvoyer uniquement les résultats qui ont été archivés.

formTypes
enum<string>[]
Options disponibles:
hubspot,
captured,
flow,
blog_comment,
all
limit
integer<int32>

Le nombre maximum de résultats à afficher par page.

Réponse

successful operation

results
object[]
requis
paging
object
Last modified on April 14, 2026